Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename resolve-cwd

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-resolve-cwd
Version:	2.0.0
Release:	alt1_5
Summary:	Like require.resolve() but from current working directory

License:	MIT
URL:		https://github.com/sindresorhus/resolve-cwd
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/resolve-cwd/v%{version}/test.js
# Source2 is generated by running Source10, which pulls from the upstream
# version control repository.
Source2:	fixture-%{version}.tar.bz2
Source10:	dl-tests.sh

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(resolve-from)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif
Source44: import.info

%description
Resolve the path of a module like `require.resolve()` but from the current
working directory.


%prep
%setup -q -n package

# setup the tests
cp -p %{SOURCE1} .
%setup -q -T -D -a 2 -n package


%nodejs_fixdep resolve-from

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_5
- new version

